bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#13908: Unable to compile Emacs 23.3 Release Candidate 2


From: James Jong
Subject: bug#13908: Unable to compile Emacs 23.3 Release Candidate 2
Date: Tue, 12 Mar 2013 17:51:09 -0400

Eli: Thanks  that command compiled without any errors. Attached you can see the corresponding dispnew.ii

Paul: Thanks. This time I made sure I was working on a fresh tar ball. Attached you can see my config.h and my new config.log. I also diffed conf_post.h from the tar ball from the one I have after failing to compile. They are identical.

James





On Tue, Mar 12, 2013 at 12:38 PM, Eli Zaretskii <address@hidden> wrote:
> Date: Tue, 12 Mar 2013 11:54:45 -0400
> From: James Jong <address@hidden>
> Cc: address@hidden
>
> I am still having problems when running make.

Not "running make", but compiling Emacs.

> Unfortunately, the system on which I am running is quite old:
>
> /usr/bin/gcc --version
> gcc (GCC) 4.1.2 20080704 (Red Hat 4.1.2-50)
> Copyright (C) 2006 Free Software Foundation, Inc.

I don't think there's anything wrong with GCC 4.1.2, not unless we
have some evidence.

> /usr/bin/gcc -std=gnu99 -c  -Demacs  -I. -I/home/james/raid/opt/emacs/releases/src/emacs-24.3/src -I../lib -I/home/james/raid/opt/emacs/releases/src/emacs-24.3/src/../lib   -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/freetype2    -I/usr/include/alsa   -I/usr/include/librsvg-2 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/gtk-2.0    -I/usr/include/libxml2   -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include   -DORBIT2=1 -pthread -I/usr/include/gconf/2 -I/usr/include/orbit-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -I/usr/include/freetype2      -MMD -MF deps/dispnew.d -MP     -g3 -O2 dispnew.c
> In file included from dispnew.c:28:
> lisp.h:57: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'typedef'

It all starts here.  The declaration of EMACS_INT causes the error.
Here's line 57 of lisp.h:

  typedef long int EMACS_INT;

I suspect that some header file or some other factor confuses the
compiler here.  So please invoke this command manually from the src
directory:

/usr/bin/gcc -std=gnu99 -E  -Demacs  -I. -I/home/james/raid/opt/emacs/releases/src/emacs-24.3/src -I../lib -I/home/james/raid/opt/emacs/releases/src/emacs-24.3/src/../lib   -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/freetype2    -I/usr/include/alsa   -I/usr/include/librsvg-2 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/gtk-2.0    -I/usr/include/libxml2   -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include   -DORBIT2=1 -pthread -I/usr/include/gconf/2 -I/usr/include/orbit-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -I/usr/include/freetype2      -MMD -MF deps/dispnew.d -MP     -g3 -O2 dispnew.c -o dispnew.ii

It is the exact copy of the command line issued by Make, with 2
changes:

 . the -c switch was replaced with -E

 . the "-o dispnew.ii" was added at the end

Please post the file dispnew.ii produced by the above command.

Attachment: dispnew.ii.tar.gz
Description: GNU Zip compressed data

Attachment: config.h.tar.gz
Description: GNU Zip compressed data

Attachment: config.log.tar.gz
Description: GNU Zip compressed data


reply via email to

[Prev in Thread] Current Thread [Next in Thread]